<?php // Simple File List | Search Extension | Script: ee-pagination-display.php | Author: Mitchell Bennis | support@simplefilelist.com | Revised: 11.25.2019
	
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( ! wp_verify_nonce( $eeSFLS_Nonce, 'eeSFLS_Include' )) exit('ERROR 98'); // Exit if nonce fails

if(@$eeSFLS_Files_Paginated and count(@$eeSFLS_Files_Paginated) > 1) {
		
	// Get this URL
	$eeURL = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
	
	$eeURL = remove_query_arg('eePage', $eeURL); // Pagination used
		
	$eeSFL_Log['eeSFLS'][] = 'eeListPosition = ' . $eePage;
			
	$eeSFL_Log['eeSFLS'][] = 'Outputting pagination controls...';
	
	
	$eeOutput .= '
	
	<div id="eeSFLS_paginationControls">';
	
	// Javascript-Powered Navigation Buttons
	if(@$_GET['eePage']) { $eePage = filter_var($_GET['eePage'], FILTER_VALIDATE_INT); } 
		else { $eePage = '0'; }
	
	$eeOutput .= '
	
	<span id="eePage" class="eeHide">' . $eePage . '</span>
	<span id="eeLastPage" class="eeHide">' . $eeLastPage . '</span>';

	if($eePage != '0') { // Don't show Start and Before on the first page
		
		$eeOutput .= '
		
		<button id="eeSFLS_goToStart">' . __('Start', 'ee-simple-file-list-search') . '</button>
		
		<button id="eeSFLS_goBack">' . __('Before', 'ee-simple-file-list-search') . '</button>';
	}
	
	if( $eePage != $eeLastPage ) { // Don't show Next and End at the end
		
		$eeOutput .= '
		
		<button id="eeSFLS_goForward">' . __('Next', 'ee-simple-file-list-search') . '</button>';
		
		$eeOutput .= '
		
		<button id="eeSFLS_goToEnd">' . __('End', 'ee-simple-file-list-search') . '</button>';
	}
		
	
	// List Section Icons
	$eeCount = 1;
	
	$eeOutput .= '
	
	<p class="eeSFLS_pageIcons">';
	
	foreach( $eeSFLS_Files_Paginated as $eeKey => $eePageArray) {
		
		$eeOutput .= '<a class="eeSFLS_PaginationIcon" href="' . eeSFL_AppendProperUrlOp($eeURL);
		
		$eeOutput .= 'eePage=' . $eeKey . '">
			
			<span class="';
			
		if( $eePage == $eeKey ) { 
			
			$eeOutput .= 'eeSFLS_iconCurrent'; } else { $eeOutput .= 'eeSFLS_pageIcon';
		}	
			
		$eeOutput .= '">' . $eeCount;
		
		$num = ($eeCount + $eeFilesPerPage) - 1; // Inc the count
		
		if($num < $eeSFLS_ViewItemsCount) { // The first ones
			
			$eeOutput .= ' - ' . $num;
		
			$eeCount = $eeCount + $eeFilesPerPage; 
		
		} elseif($num >= $eeSFLS_ViewItemsCount) { // The last one
			
			$eeOutput .= ' - ' . $eeSFLS_ViewItemsCount;
		}
		
		$eeOutput .= '</span></a>';
	}
	
	$eeOutput .= '
	
	</p>
	
	<p class="eeSFLS_fileTotalCount">
		<small>' . __('Total Items:', 'ee-simple-file-list-search') .' ' . $eeSFLS_ViewItemsCount . '</small>
	</p>
	
	</div>
	
	';

}

?>