<?php // Simple File List | Search Extension | Script: ee-pagionation-processing.php | Author: Mitchell Bennis | support@simplefilelist.com | Revised: 12.22.2019
	
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( ! wp_verify_nonce( $eeSFLS_Nonce, 'eeSFLS_Include' )) exit('ERROR 98'); // Exit if nonce fails

if( $eeSFL_Config['EnablePagination'] == 'YES' ) {
		
	$eeSFL_Log['eeSFLS'][] = 'Paginating the List...';
	
	$eePage = 0;
	$eeSFLS_Files_Paginated = array();
	
	// Files per Page
	$eeSFLS->eeSFLS_FilesPerPage = $eeSFL_Config['FilesPerPage'];
	if(!$eeSFLS->eeSFLS_FilesPerPage) { $eeSFLS->eeSFLS_FilesPerPage = $eeSFLS->eeSFLS_FilesPerPageDefault; }
	
	$eeFilesPerPage = $eeSFLS->eeSFLS_FilesPerPage; // Easier to use
	
	$eeSFL_Log['eeSFLS'][] = 'eeSFLS_FilesPerPage = ' . $eeFilesPerPage;
	

	// Count just the files and folders at this level
	$eeSFLS_ViewItemsCount = 0;
	
	foreach( $eeSFL_Files as $eeKey => $eeFileArray) {
		
		if($eeSFLF) {
			
			if(substr_count($eeFileArray['FilePath'], '/') <= ($eeSFLF_FolderDepth+1)) { // Count only immediate sub-folders
				$eeSFLS_ViewItemsCount++;
			}
			
		} else {
			
			if( $eeFileArray['FileExt'] != 'folder' AND !strpos($eeFileArray['FilePath'], '/')) { // Count files in root level
				$eeSFLS_ViewItemsCount++;
			} else {
				unset( $eeSFL_Files[$eeKey] ); // Remove folders if they are there
			}
		}
	}
	
	// Save total file count
	$eeSFL_Log['eeSFLS'][] = 'Total Items: ' . $eeSFLS_ViewItemsCount;
	
	if( count($eeSFL_Files) > $eeFilesPerPage) {
		
		// Paginate using chunk
		$eeSFLS_Files_Paginated = array_chunk($eeSFL_Files, $eeFilesPerPage);
		$eeSFL_Log['eeSFLS'][] = 'Number of Pages: ' . count($eeSFLS_Files_Paginated);
		
		// What's the last page number?
		if(function_exists("array_key_last")) {
			$eeLastPage = array_key_last($eeSFLS_Files_Paginated); // PHP 7 and Up
		} else {
			$eeLastPage = array_keys($eeSFLS_Files_Paginated)[count($eeSFLS_Files_Paginated)-1];
		}
		
		// Determine which page to show
		if( is_array($eeSFLS_Files_Paginated) ) {
	
			if(@$_GET['eePage']) {
				$eePage = filter_var($_GET['eePage'], FILTER_VALIDATE_INT); // The current $eeSFLS_Files_Paginated key
			} else {
				$eePage = 0;
			}
			$eeSFL_Files = $eeSFLS_Files_Paginated[ $eePage ]; // Just this page
		}
	}
}


	
?>