<?php // Simple File List | Search Extension | Script: ee-search-form.php | Author: Mitchell Bennis | support@simplefilelist.com | Revised: 11.25.2019
	
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( ! wp_verify_nonce( $eeSFLS_Nonce, 'eeSFLS_Include' )) exit('ERROR 98'); // Exit if nonce fails

if( $eeSFL_Config['EnableSearch'] == 'YES' OR @$eeSFL_Admin) {

	if(!@$_POST['eeSFLS_Searching'] OR !@$eeSearchResultCount) { // Don't show on search result pages, unless there was no result
	
		$eeURL = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]";
		
		if(@$permalink) { // Shortcode used for remote search form
			
			if(strpos($permalink, $eeURL) === 0 ) { // Fix if they used the whole address
				$permalink = str_replace($eeURL, '', $permalink); // Remove it
			}
			
			if(is_numeric($permalink)) { // Using plain permalink structure
				$eeURL .= '/?p=' . $permalink;
			} else {
				$eeURL .= '/' . $permalink . '/'; // Using post name or something like that
			}
			
		} else {
			
			$eeURL .= $_SERVER['REQUEST_URI']; // We are on the file list page
		}
		
		$eeOutput .= '<form id="eeSFLS_SearchFiles" action="' . $eeURL . '" method="POST">';
		
		if( $eeSFL_Config['ShowFileDate'] == 'YES' ) {
			
			$eeOutput .= '<input class="eeSFLS_Datepicker eeValign" id="eeSFLS_From" type="text" placeholder="' . __('From', 'ee-simple-file-list-search') . '" name="eeSFLS_From" value="' . @$_POST['eeSFLS_From'] . '" size="8" maxlength="16" />
			
			<input class="eeSFLS_Datepicker eeValign" id="eeSFLS_To" type="text" placeholder="' . __('To', 'ee-simple-file-list-search') . '" name="eeSFLS_To" value="' . @$_POST['eeSFLS_To'] . '" size="8" maxlength="16" />';
			
		}
			
		$eeOutput .= '	
			
			<input placeholder="' . __('File Name', 'ee-simple-file-list-search') . '" type="text" name="eeSFLS_SearchByName" value="" id="eeSFLS_Search" size="16" maxlength="64" class="eeValign" />
			
			<input class="button eeButton eeValign" type="submit" name="eeSFLS_Searching" value="' . __('Search Files', 'ee-simple-file-list-search') . '" />

		</form>';
	
	}
}

