<?php // Simple File List | Search Extension | Script: ee-search-processor.php | Author: Mitchell Bennis | support@simplefilelist.com | Revised: 11.25.2019

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( ! wp_verify_nonce( $eeSFLS_Nonce, 'eeSFLS_Include' )) exit('ERROR 98'); // Exit if nonce fails


if(@$_POST['eeSFLS_Searching']) {

	$eeSFL_ListNumber = 0; // This turns OFF the Create Folder form for results
	
	$eeSFLS_FileSearchArray = $eeAllFilesSorted;
	
	if($eeSFLF_ListFolder) { // If Folders
					
		// We DO NOT want to search above $eeSFLF_ListFolder
		$eeArray = array();
		
		$eeSFLF_ListFolder .= '/'; // Add the slash
		
		// Create a new array just for this folder
		foreach($eeAllFilesSorted as $eeFileArray) {
			
			// Check if line starts with foldername/. Omit folder itself
			if( strpos($eeFileArray['FilePath'], $eeSFLF_ListFolder) === 0 ) {
				
				$eeArray[] = $eeFileArray;
			}
		}
		
		$eeSFLS_FileSearchArray = $eeArray;
	}
		
	
	
	// User Search Processing
	$eeSearchResult = array();
	$eeArray = array();
	
	// Search Files by Date
	if(@$_POST['eeSFLS_From'] OR @$_POST['eeSFLS_To']) {
		
		$eeDateFrom = substr( preg_replace("/[^0-9-]/i", "", $_POST['eeSFLS_From']), 0, 10 );
		$eeDateTo = substr( preg_replace("/[^0-9-]/i", "", $_POST['eeSFLS_To']), 0, 10) ;
	
		if(is_array($eeSFLS_FileSearchArray)) {
			
			foreach( $eeSFLS_FileSearchArray as $eeKey => $eeFileArray) {
				
				if($eeFileArray['FileExt'] != 'folder') {
					
					if($eeDateFrom AND $eeDateTo) {
						
						if($eeFileArray['FileDateChanged'] >= $eeDateFrom AND  $eeFileArray['FileDateChanged'] <= $eeDateTo ) {
							$eeSearchResult[] = $eeFileArray;
						}
						
					} elseif($eeDateFrom AND !$eeDateTo) {
						
						if($eeFileArray['FileDateChanged'] >= $eeDateFrom) {
							$eeSearchResult[] = $eeFileArray;
						}
						
					} elseif(!$eeDateFrom AND $eeDateTo) {
						
						if($eeFileArray['FileDateChanged'] <= $eeDateTo ) {
							$eeSearchResult[] = $eeFileArray;
						}
					}
				}
			}
		} 
	}
	
	
	
	// Seach file name text
	if(@$_POST['eeSFLS_SearchByName']) {
		
		if(count($eeSearchResult)) { // We have a date range with results
			
			$eeSFLS_FileSearchArray = $eeSearchResult; // Search within the date results
			
			$eeSearchResult = array(); // Reset
		}
		
		// Get the search term
		$eeSearchFor = substr( filter_var($_POST['eeSFLS_SearchByName'], FILTER_SANITIZE_STRING), 0, 64);
		
		if($eeSearchFor) { // Search for this term
			
			foreach( $eeSFLS_FileSearchArray as $eeKey => $eeFileArray) {
				
				if($eeFileArray['FileExt'] != 'folder') {
				
					$eeFileName = basename($eeFileArray['FilePath']);
					
					// Search File Name
					if(stripos($eeFileName, $eeSearchFor) OR stripos($eeFileName, $eeSearchFor) === 0 ) { 
						$eeSearchResult[] = $eeFileArray;
					}
					
					// Search Description
					if(@stripos($eeFileArray['FileDescription'], $eeSearchFor) OR @stripos($eeFileArray['FileDescription'], $eeSearchFor) === 0) {
						$eeSearchResult[] = $eeFileArray;
					}
					
					if($eeAdmin OR $eeSFL_Config['ShowSubmitterInfo'] == 'YES') {
					
						// Search Submitter Info
						if(@stripos($eeFileArray['SubmitterName'], $eeSearchFor) OR @stripos($eeFileArray['SubmitterName'], $eeSearchFor) === 0) {
							$eeSearchResult[] = $eeFileArray;
						}
						if(@stripos($eeFileArray['SubmitterEmail'], $eeSearchFor) OR @stripos($eeFileArray['SubmitterEmail'], $eeSearchFor) === 0) {
							$eeSearchResult[] = $eeFileArray;
						}
						if(@stripos($eeFileArray['SubmitterComments'], $eeSearchFor) OR @stripos($eeFileArray['SubmitterComments'], $eeSearchFor) === 0) {
							$eeSearchResult[] = $eeFileArray;
						}
					
					}
				}
			}
		}
	}
	
	
	
	$eeSearchResultCount = count($eeSearchResult);
	
	if($eeSearchResultCount) {
		
		$eeSFL_Files = $eeSearchResult; // Replace the file list with our results
		
		$eeURL = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
		
		if($eeSearchResultCount == 1) {
			
			$eeSFL_Log['messages'][] = __('One File Found', 'ee-simple-file-list-search') . ' &rarr; 
				<a href="' . $eeURL . '">' . __('Search Again', 'ee-simple-file-list-search') . '</a>';
				
		} else {
			
			$eeSFL_Log['messages'][] = $eeSearchResultCount . ' ' . __('Files Found', 'ee-simple-file-list-search') . ' 
				<a href="javascript:history.back();">' . __('Back to the List', 'ee-simple-file-list-search') . '</a>';
		}
		
		
	} elseif(@$_POST['eeSFLS_Searching'] AND !$eeSearchResultCount) { // Nothing Found
		
		$eeSFL_Log['messages'][] = __('No Files Found', 'ee-simple-file-list-search') . ' <a href="javascript:history.back();">' . __('Back to the List', 'ee-simple-file-list-search') . '</a>';
		
		// Show the previous list
		if($eeThisFoldersFilesAndFolders) {
			$eeSFL_Files = $eeThisFoldersFilesAndFolders;
		} else {
			$eeSFL_Files = $eeAllFilesSorted;
		}
	
	}

}

?>